<template>
	<el-dialog :title="title" :visible.sync="dialogFormVisible" width="800px" @close="close">
		<el-form ref="form" :model="form" :rules="rules" label-width="120px">
			<div class="lists">
				<el-form-item label="id" prop="id">
					<el-input class="inputs" v-model="form.id" autocomplete="off" :disabled="!idAdd?true:false"></el-input>
				</el-form-item>
				<el-form-item label="编码" prop="code">
					<el-input class="inputs" v-model.trim="form.code" autocomplete="off"></el-input>
				</el-form-item>
			</div>
			<div class="lists">
				<el-form-item label="名称" prop="name">
					<el-input class="inputs" v-model="form.name" autocomplete="off"></el-input>
				</el-form-item>
				<el-form-item label="别名" prop="aname">
					<el-input class="inputs" v-model="form.aname" autocomplete="off"></el-input>
				</el-form-item>
			</div>
			<div class="lists">
				<el-form-item label="风场编号" prop="windpowerstationid">
					<el-select v-model="form.windpowerstationid" placeholder="请选择" clearable>
						<el-option v-for="item in stationList" :key="item.id" :label="item.name" :value="item.id">
						</el-option>
					</el-select>
				</el-form-item>
				<el-form-item label="顺序" prop="ordernum">
					<el-input class="inputs" v-model="form.ordernum" autocomplete="off"></el-input>
				</el-form-item>
			</div>
		</el-form>
		<div slot="footer" class="dialog-footer">
			<el-button @click="close">取 消</el-button>
			<el-button type="primary" @click="save">确 定</el-button>
		</div>
	</el-dialog>
</template>

<script>
import api from '@/api/realtimeDatabaseConfiguration'
import dayjs from "dayjs";
export default {
	name: 'TableEdit',
	props: {
		options: {
			type: Array,
			default: []
		},
		stationList: {
			type: Array,
			default: []
		},
	},
	data() {
		return {
			form: {
				id: '',
				code: '',
				name: '',
				aname: '',
				windpowerstationid: '',
				ordernum: ''

			},
			rules: {
				id: [{ required: true, trigger: 'blur', message: '请输入' }],
				code: [{ required: true, trigger: 'blur', message: '请输入' }],
				name: [{ required: true, trigger: 'blur', message: '请输入' }],
				aname: [{ required: true, trigger: 'blur', message: '请输入' }],
				windpowerstationid: [{ required: true, trigger: 'blur', message: '请输入' }],
				ordernum: [{ required: true, trigger: 'blur', message: '请输入' }]
			},
			title: '',
			dialogFormVisible: false,
			idAdd: true,
		}
	},
	created() { },
	methods: {
		showEdit(row) {
			if (!row) {
				this.title = '添加'
				this.idAdd = true
			} else {
				this.title = '编辑'
				this.idAdd = false
				this.form = Object.assign({}, row)
			}
			this.dialogFormVisible = true
		},
		close() {
			this.$refs['form'].resetFields()
			this.form = this.$options.data().form
			this.dialogFormVisible = false
			this.$emit('fetch-data')
		},
		save() {
			this.$refs['form'].validate(async (valid) => {
				if (valid) {
					api.addWindsubstation(this.form).then(res => {
						if (res.data) {
							this.$message({
								type: 'success',
								message: '添加成功!'
							});
							this.$emit('save-success');
							this.dialogFormVisible = false
						}
					})
				} else {
					return false
				}
			})
		},
		handleChange() {
		},
		onBlur(val, param) {
			if (typeof (this.form[param]) !== 'number') {
				this.form[param] = val.replace(/[^0-9]/ig, "")
			}
		},
	},
}
</script>
<style lang="less" scoped>
.inputs {
	width: 200px;
}

.lists {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}
</style>
